/*
 * nsnake.h -- a snake game for your terminal
 *
 * Copyright (c) 2011-2019 David Demelier <markand@malikania.fr>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#ifndef NSNAKE_H
#define NSNAKE_H

#include <sys/stat.h>
#include <signal.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>
#include <time.h>

#include <curses.h>

#if !defined(_WIN32)
#	include <unistd.h>
#	include <sys/types.h>
#	include <pwd.h>
#else
#	include <io.h>
#	include <lmcons.h>
#	include <windows.h>
#endif

#if NCURSES_EXT_FUNCS > 20141206
#	define HAVE_RESIZETERM
#endif

#if !defined(HAVE_RANDOM)
#	define random rand
#	define srandom srand
#endif

#if defined(HAVE_ERR)
#	include <err.h>
#else
#	include "extern/err.c"
#endif

#if !defined(HAVE_GETOPT)
#	include "extern/getopt.c"
#endif

#endif /* !NSNAKE_H */
